iconIl y a quelques jours, la première version officielle de GTC voyait (enfin) le jour.

Depuis deux ans, je ne parvenais plus à développer sur PC et GTC est arrivé.

Voilà le comparatif que vous attendiez tous !

De comparatif il s'agit en fait d'un "tuto"/"dossier" pour vous montrer comment mieux dvelopper avec GTC qu'avec TIGCC

Pour rappel, dans les anciennes versions je n'avais qu'à compiler et le test s'enclenchait sans problème sur ma rom dans VTI.

Avec la version actuelle de TIGCC, tous les éléments à installer avec pour windows et tous mes efforts, je ne suis jamais parvenu a faire de même avec TIEMU, malgré toutes mes tentatives je ne sais même pas si TIEMU supporte au moins ma rom (TI89)

Voilà une journée pleine que je teste GTC zéro nonante et je n'avais pas imaginé retrouver aussi rapidement l'envie de coder !

En effet, j'ai installé GTC (oncalc) sur ma rom de TI89 sur VTI et je développe avec VTI en "plein écran" sur mon PC.

C'est pas encore parfait, il a fallu que j'ôte quelques appels assembly de mes petits programmes en C mais c'est beaucoup mieux que TIGCC qui ne marche pas malgré ses Mo d'installation et qui fait aussi pâle figure qu'une vieille wassingue bonne pour le rebut.

Pour finir, l'astuce du jour : accélérer la vitesse de VTI pendant la compilation, c'est déjà rapide et avec un bon CPU ça devient instantanné !
Programmer avec GTC on-calc dans VTI?! C'est vraiment n'importe quoi... Tu appelles ça une news? Et "plus pratique" que TIGCC, tu rigoles?

Évidemment que TiEmu gère ta ROM! Si tu n'arrives pas à installer TiEmu, il suffit de demander. D'habitude c'est un problème tout con, genre le GTK+ de Pidgin qui ne règle pas correctement le PATH (bogue de Pidgin, pas de TiEmu; solution: désinstaller le GTK+ de Pidgin et installer celui de gladewin32.sourceforge.net qui est testé avec TiEmu et qui marchera aussi avec Pidgin) ou un mélange de plusieurs versions de GTK+ (solution: désinstaller toutes et installer seulement la plus récente de gladewin32.sourceforge.net).

Et puis TIGCC 0.95 utilisait VTI, pas TiEmu! Il faut TIGCC 0.96 Beta 8 pour utiliser TiEmu avec TIGCC (et je conseille la 0.96 Beta 8 aussi pour d'autres raisons, la 0.95 n'est carrément plus à jour).
Pour se logguer :
Pseudo

Mot de passe

Pour S'inscrire !
- Ti FR v3 - Ce site n'est pas le site officiel de texas instruments. En cas de problèmes techniques sur le site veuillez contacter l'administrateur. Merci de vos visites !
page générée en 77 ms